Articles of yum

CENTOS 6.6“Errno -1 repomd.xml不匹配metalink进行更新”试图用yum命令安装openssl

平台:CentOS 6.6(最终版) 当我试图yum安装openssl,我得到这个错误: epel 4 kB 00:00 http://mirror.symnds.com/distributions/fedora-epel/6/x86_64/repodata/repomd.xml:[Errno -1] repomd.xml与epel的metalink不匹配尝试其他镜像。 我已经尝试过: yum clean all , yum info kernel 。 但是我仍然看到类似的错误 epel | 4.4 kB 00:00 http://mirror.symnds.com/distributions/fedora-epel/6/x86_64/repodata/repomd.xml:[Errno -1] repomd.xml与epel的metalink不匹配尝试其他镜像。 它看起来像我不能使用yum命令来安装任何东西。 我也用yum clean all yum makecache但我仍然看到同样的问题。 为什么我看到这个错误: [Errno -1] repomd.xml与epel的metalink不匹配 我该如何解决? 解决scheme:取消注释baseurl(或添加baseurl,如果它不存在),并注释掉镜像列表。 这是我在/etc/yum.repo.d/epel.repo中的临时解决方法: [epel] name=Extra Packages for Enterprise Linux 6 – $basearch enabled=1 failovermethod=priority gpgcheck=1 gpgkey=https://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-6 baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch […]

多个包pipe理器

使用多个软件包pipe理器有什么缺陷吗? 我可以同时使用Redhat的yum与Debian的才能吗? 我遇到这篇文章和这个信息图 – 我倾向于selectDebian,但是快速的VM安装显示内核在稳定的repo中没有升级到3.2。 所以我打算迁移到Archlinux,但是信息图表在封装可用性方面比较低,我想知道是否可以从Fedora或Ubuntu存储库安装.deb或.rpm文件。

在RedHat Linux中安装Maven 3.0.5

任何人都可以帮助我在Linux安装maven 3.0.5吗? 我尝试使用wget , yum和tar命令。 所有的命令都说它不被识别为外部或内部的命令,现在我是如何实现它的空白。 我们是否需要去start->cmd并应用这些命令? 还请告诉我如何设置环境variables。 请帮帮我。 提前致谢。

百胜失败 – 没有启用回购。

我试图安装“libstdc ++。i686” yum install libstdc++.i686 但它失败了这个错误: qa @ qa-teamcity01:/usr/local/nsis/nsis-2.46-src$ sudo yum install libstdc ++。i686 qa的[sudo]密码: 没有启用回购。 **运行“yum repolist all”来查看您拥有的回购站。 你可以用yum-config-manager –enable启用回购 我查看了我的repos.d目录(/etc/yum/repos.d)及其空的,并打开yum.conf文件,并没有看到任何存储库。 我如何获得我需要的储藏室?

确定包是否与Yum Python API一起安装?

TLDR ; 我需要一个简单的Python调用给定一个包名(例如'make')来查看它是否已经安装; 如果没有,安装它(我可以做后者)。 问题: 所以在http://yum.baseurl.org/wiki/YumCodeSnippets中给出了一些代码示例,但除了在ipython内部进行猜测和猜测每种方法的作用之外,似乎没有任何实际的文档yum的Python API。 这显然是所有的部落知识。 显然我只是意外地发现了API文档 (当然在收到可接受的答案之后)。 它没有链接到主页面,但在这里供将来参考:http: //yum.baseurl.org/api/yum/ 我需要做什么: 我有一个依赖于其他系统软件包(make,gcc等)的部署configuration脚本。 我知道我可以像这样安装它们:http: //yum.baseurl.org/wiki/YumCodeSnippet/SimplestTransaction但我想有这个选项来查询它们是否已经安装之前这样做,所以我可以有如果软件包不存在,而不是强制安装,则可以select简单失败。 什么是正确的呼叫做这个(或更好的,有人真的打扰到正确的文件的代码示例以外的API?) 在这个项目之前,我从来没有碰过Python,我真的很喜欢它,但是…一些模块文档比独angular兽妖精更难以捉摸。

我如何findW / YUM或RPM安装的文件?

我昨天晚上安装了Fedora 16,看到它有回购的NoMachine的NX。 我做了一个 yum install nx 并说它安装正确,但在我的生活中,我找不到.service或/etc/init.d文件,甚至任何types的NX服务器的/ etcconfiguration文件。 我明白了 nxssh nxproxy nxagent 但他们甚至没有人参赛。 为了弄清楚它做了什么,我想要做的是准确地看到哪些文件以及它们放在哪里 。 我已经看了看,有没有一个我可以调用的命令, yum或rpm ,告诉我已经安装的RPM中包含的文件? 像如何 rpm -qpl <some rpm>.rpm 列出了打包在RPM中的文件(包含目录)。 谢谢!

在Centos 6.4上安装MySQL 5.6的最佳方法

我刚刚安装了Centos 6.4,并使用Centos发行版附带的版本安装了MySQL。 令我沮丧的是,MySQL 5.1.69相对于目前的5.6.12。 正如http://dev.mysql.com/doc/refman/5.5/en/linux-installation-native.html所述 ,“MySQL版本通常会落后于当前可用版本”,但是我没有期待那么久。 [root@centosBox ~]# rpm -qa | grep mysql mysql-5.1.69-1.el6_4.x86_64 mysql-devel-5.1.69-1.el6_4.x86_64 mysql-server-5.1.69-1.el6_4.x86_64 mysql-libs-5.1.69-1.el6_4.x86_64 [root@centosBox ~]# whereis mysql mysql: /usr/bin/mysql /usr/lib64/mysql /usr/include/mysql /usr/share/mysql /usr/share/man/man1/mysql.1.gz [root@centosBox ~]# 另一种方法是使用RPM软件包进行安装,这是“按照http://dev.mysql.com/doc/refman/5.5/en/linux-installation-rpm.html ”推荐的“安装MySQL”的方式。 我已经这样做了,而且这个过程并不复杂,然而,我担心的是,我经常被告知,如果可以的话,我总是应该用yum来安装。 在文档的最后,它确实描述了使用yum进行非常简短的操作,然而,这个过程非常简短,以至于我怀疑这是不是该走的路。 那么….一个不是古鲁Linux用户在Centos机器上安装/升级MySQL的最佳方式是什么?

在RHEL上安装tshark

有没有办法使用yum install在RHEL机器上安装tshark? 当我这样做: yum install tshark 我回来了: Setting up Install Process No package tshark available. Nothing to do 当我做了:yum list tshark我回来了: Loaded plugins: rhnplugin, security Error: No matching Packages to list

在CentOS上安装Git时遇到麻烦

我在CentOS 5.5 x86_64上安装Git时遇到问题。 我不是这种types的专家,有什么问题? root@server [/]# yum install git Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * epel: fedora-epel.mirror.lstn.net * rpmfusion-free-updates: mirror.us.leaseweb.net * rpmfusion-free-updates-testing: mirror.us.leaseweb.net * rpmfusion-nonfree-updates: mirror.us.leaseweb.net * rpmfusion-nonfree-updates-testing: mirror.us.leaseweb.net Excluding Packages in global exclude list Finished Setting up Install Process Resolving Dependencies –> Running transaction check —> Package git.x86_64 0:1.7.4.1-1.el5 set […]

为什么configuration说GCC安装时找不到C编译器?

我正试图在32位CentOS 6 VPS上从源代码制作狮身人面像 。 当我运行这个命令时: ./configure –prefix=/usr/local/sphinx 我得到这个错误输出: checking build environment ————————– checking for a BSD-compatible install… /usr/bin/install -c checking whether build environment is sane… yes checking for a thread-safe mkdir -p… /bin/mkdir -p checking for gawk… gawk checking whether make sets $(MAKE)… yes checking whether to enable maintainer-specific portions of Makefiles… no checking for […]